<?php

class ArdHelper
{

    public static function checkMeta($m)
    {
        return (isset($m) && (trim($m) != ""));
    }

    /**
     * Название рублей в правильной форме
     *
     * @param int $n
     */
    public static function getRubForm($n = 0)
    {
        if ($n >= 5 && $n < 20)
            return "рублей";
        $n2 = intval(fmod(floatval($n) / 10, 1) * 10);
        if (($n2 == 0) || ($n2 >= 5))
            return "рублей";
        if ($n2 == 1)
            return "рубль";
        if ($n2 >= 2)
            return "рубля";
        return "года";
    }

    public static function getTotalBalance()
    {
        $q = (new WP_Query([
            "post_type" => "ard-donate",
            "post_status" => "publish",
            "fields" => "ids",
            "meta_query" => [
                [
                    "key" => "summ",
                    "compare" => "EXISTS"
                ],
                [
                    "key" => "summ_fond",
                    "compare" => "EXISTS"
                ],
                [
                    "key" => "debet",
                    "compare" => "EXISTS"
                ]
            ]
        ]))->get_posts();
        $b = 0;
        foreach ($q as $id) {
            $m = get_post_meta($id);
            $b = $b + intval($m["summ"][0]) - intval($m["debet"][0]);
        }
        return $b;
    }
}