<?php
add_filter("the_content", "ard_add_content", 1, 10);

function ard_add_content($c)
{
    if (is_singular() && (get_post_type() == "ard-donate")) {
        $ver = "02";
        wp_enqueue_style("ard-front", plugin_dir_url(__FILE__) . "assets/ard.css", [], $ver);
        wp_enqueue_script("ard-front", plugin_dir_url(__FILE__) . "assets/ard.js", [
            "jquery"
        ], $ver, true);
        $i = get_option("ard-info");
        $m = get_post_meta(get_the_ID());

        $name = sprintf("Поддержка проекта '%s' на сайте '%s'", get_the_title(), get_option("blogname"));

        $status = ($m["active"][0] == "on" ? "активен" : "остановлен");

        $need = null;
        if (($m["active"][0] == "on") && ArdHelper::checkMeta($m["target"][0]) && ArdHelper::checkMeta($m["summ"][0])) {
            $need = intval($m["target"][0]) - intval($m["summ"][0]);
            if (ArdHelper::checkMeta($m["summ_fond"][0]))
                $need = $need - intval($m["summ_fond"][0]);
        }

        ob_start();

        ?>
<div class="ard-wrap">

<?php

if (ArdHelper::checkMeta($m["final_text"][0])) {
            global $wp_embed;
            $ft = $m["final_text"][0];
            $ft = $wp_embed->autoembed($ft);
            $ft = $wp_embed->run_shortcode($ft);
            $ft = wpautop($ft);
            $ft = do_shortcode($ft);

            ?>
<div class="money ard-section">
		<h3>Результаты.</h3>
		<div><?=$ft ?></div>
	</div>
<?php }?>

	<div class="money ard-section">
		<h3>Сведения</h3>
		<p>Ввиду того, что сбор средств ведётся волонтёрами, информация о
			собранных средствах может обновляться нерегулярно, либо будет
			предоставлена только по заверешнию проекта.
		
		
		<table>
			<tr>
				<th>Статус сбора средств:</th>
				<td><?=$status ?></td>
			</tr>

<?php if (ArdHelper::checkMeta($m["target"][0])){?>
	<tr>
				<th>Необходимо собрать:</th>
				<td><span><?=$m["target"][0] ?></span> руб.</td>
			</tr>
<?php }?>	

<?php if (ArdHelper::checkMeta($m["summ_fond"][0])){?>
	<tr>
				<th>Средства фонда:</th>
				<td><span><?=$m["summ_fond"][0] ?></span> руб.</td>
			</tr>
<?php }?>	

<?php if (ArdHelper::checkMeta($m["summ"][0])){?>	
	<tr>
				<th>Собрано:</th>
				<td><span><?=$m["summ"][0] ?></span> руб.</td>
			</tr>
<?php }?>	
	
<?php if (ArdHelper::checkMeta($m["debet"][0])){?>	
	<tr>
				<th>Потрачено:</th>
				<td><span><?=$m["debet"][0] ?></span> руб.</td>
			</tr>
<?php }?>	
	
<?php if (isset($need)){?>	
	<tr>
				<th>Осталось собрать:</th>
				<td><span><?=$need ?></span> руб.</td>
			</tr>
<?php }?>	
	
	
</table>
<?php if (ArdHelper::checkMeta($m["debet_album"][0])){?>
<div>
<p class="ard-padding">Подтверждающие расходы документы (кликните на номер, чтобы скачать):<br>
<?php 
    $cs=[];    
    foreach (unserialize($m["debet_album"][0]) as $id => $url) {
        
        $cs[]=sprintf("<a target='_blank' href='%s'>%d</a>",$url, $id);
    }
    echo implode(", ", $cs);
    ?>
    .
</p>
</div>
<?php }?>

	</div>

<?php
        if ($m["active"][0] == "on") {
            ?>
<div class="support ard-section">
		<h3>Оказать поддержку.</h3>
		<p>Поддержать финансами Вы можете любым удобным Вам способом из
			перечисленных ниже.
		
		
		<ul>
		<?php if (ArdHelper::checkMeta($i["phone"]) || ArdHelper::checkMeta($i["cardN"])){?>
			<ol>
				<h4>Перевод на карту.</h4>
				<p>
				
				
				<ul>
				<?php if (ArdHelper::checkMeta($i["phone"])){?>
					<li>Карта Сбербанк привязана к телефону <u><?=$i["phone"]?></u>,
						получатель платежа <u><?=$i["fio"] ?></u>.
					</li>
					<?php }?>
				<?php if (ArdHelper::checkMeta($i["phone"])){?>
					<li>Перевод по номеру карту. Карта номер <u><?=$i["cardN"]?></u>.
					</li>
					<?php }?>
				</ul>
				</p>
			</ol>
		<?php }?>
		<?php if (ArdHelper::checkMeta($i["yamoney"])){?>
		<ol>
				<h4>Перевод онлайн.</h4>
				<div class="online-pay">
					<form method="POST"
						action="https://money.yandex.ru/quickpay/confirm.xml">
						<div>
							<label for="sum">Сумма пожертвования (рекомендуем <?=$m["payment"][0] ?> <?=ArdHelper::getRubForm($m["payment"][0]) ?>):</label> <input type="text"
								name="sum" value="<?=$m["payment"][0] ?>" data-type="number">
						</div>
						<div>
							<label for="comment">Пожелание, комментарий</label>
							<textarea type="textarea" name="comment"></textarea>
						</div>
						<div class="pay-methods">
							Источник поддержки:
							<div>
								<label><input type="radio" name="paymentType" value="MC"><span>Баланс
										мобильного</span></label> <label><input type="radio"
									name="paymentType" value="AC"><span>Банковская карта</span></label>
								<label><input type="radio" name="paymentType" value="PC"><span>Яндекс.Деньги</span></label>
							</div>
						</div>
						<input type="hidden" name="receiver" value="<?=$i["yamoney"] ?>">
						<input type="hidden" name="formcomment" value="<?=$name ?>"> <input
							type="hidden" name="short-dest" value="<?=get_the_title() ?>"> <input
							type="hidden" name="label" value="<?=get_the_title() ?>"> <input
							type="hidden" name="quickpay-form" value="donate"> <input
							type="hidden" name="targets" value="<?=get_the_title() ?>"> <input
							type="hidden" name="need-fio" value="false"> <input type="hidden"
							name="need-email" value="false"> <input type="hidden"
							name="need-phone" value="false"> <input type="hidden"
							name="need-address" value="false"> <input type="submit"
							value="Поддержать">
					</form>
				</div>
			</ol>
		<?php }?></ul>
	</div>
<?php }?>
</div>

<?php
        $r = ob_get_clean();
    }
    return $c . $r;
}